.\" 
.\" XKeyWrap - A simple keyboard wrapper on X Window System.
.\" 
.\" XKeyWrap Copyright (C) 1999 Sakai Hiroaki.
.\" All Rights Reserved.
.\" 
.TH XKEYWRAP 1 "Release 6" "X Version 11"

.SH NAME

XKeyWrap - A simple keyboard wrapper on X Window System.

.SH SYNOPSIS

.B xkeywrap [XKeyWrap's options] [-x Application [Application's options...]]

.SH DESCRIPTION

XKeyWrap is a wrapper of key sequence between keyboard and an application
(ex.emacs).
XKeyWrap can record, repeat, and play key sequence in real time.
And XKeyWrap can send key sequence to an application on other X server
over the network.

.SH RESOURCES

You can use all of the standard X-Toolkit resources.

.SH OPTIONS

You can use all of the standard X-Toolkit options.

.TP 8
.B -display [displayname]

This option specifies the name of the X server to use.

.TP 8
.B -geometry [+X+Y]

This option specifies the placement of the window on the screen.

.TP 8
.B -name [name]

This option specifies the name of the application.

.TP 8
.B -background [color], -bg [color]

This option specifies background color of the window.

.TP 8
.B -h, -help

Output help message.

.TP 8
.B -readme

Output README for informations and examples about using XKeyWrap.

.TP 8
.B -copyright

Output COPYRIGHT of XKeyWrap.

.TP 8
.B -p, -play

XKeyWrap starts playing key sequence at starting running.

.TP 8
.B -r, -repeat

XKeyWrap starts repeating key sequence at starting running.

.TP 8
.B -rec, -record

XKeyWrap starts recording key sequence at starting running.

.TP 8
.B -q, -quit

XKeyWrap exits when child process exits. And Child process exits
when XKeyWrap exits.

.TP 8
.B -f, -file [filename]

This option specifies file to save and load key sequence.

.TP 8
.B -s, -speed [speed]

This option specifies speed to play key sequence from 0 to 8.
Default speed is 4.

.TP 8
.B -output-display [displayname]

This option specifies the display to send key sequence.

.TP 8
.B -output-window [windowid]

This option specifies the window to send key sequence.

.TP 8
.B -x [Application [Application options...]]

An application starts running as child process of XKeyWrap and XKeyWrap send
key sequence to the application. (Ex. xkeywrap -x emacs sample.txt)

.SH MENU

.TP 8
.B Select

Select the window to output key sequence.
Move the mouse pointer to the window and click left button on the window.

.TP 8
.B Parent

Change the window to output key sequence to the parent of the window.

.TP 8
.B Child

Change the window to output key sequence to one of the children of the window.

.TP 8
.B Next

Change the window to output key sequence to other child.
This menu is selected next to selecting Child menu.

.TP 8
.B Clear

Clear the recorded key sequence data.

.TP 8
.B Record

Start recording key sequence to input from the keyboard.
If key sequence data exists,
XKeyWrap add key sequence to the start of the old key sequence data.
Double click to add key sequence to the end of the old key sequence data.

.TP 8
.B Stop

Stop recording, playing and repeating.

.TP 8
.B Play

Play the recorded key sequence in real time.
If you select this menu while playing, XKeyWrap pauses playing.
If you select this menu while repeating, XKeyWrap plays the key sequence
without a break.
If you select Record menu while pausing, you can insert key sequence
to the old key sequence data.

.TP 8
.B Repeat

Repeat the recorded key sequence.
If you select this menu while repeating, XKeyWrap pauses repeating.
If you select this menu while playing, XKeyWrap repeats the key sequence
without a break.
If you select Record menu while pausing, you can insert key sequence
to the old key sequence data.

.TP 8
.B Fast

Change the speed to play key sequence faster.

.TP 8
.B Slow

Change the speed to play key sequence more slow.

.TP 8
.B Save

Save the recorded key sequence data to file.

.TP 8
.B Load

Load the key sequence data from file.

.TP 8
.B Quit

XKeyWrap exits.

.PP

.SH EXAMPLES

.TP 8
.B % xkeywrap

- XKeyWrap starts running.
.br
- Click Select menu of XKeyWrap and click the window to send key sequence.
.br
- Key inputs to XKeyWrap are sent to the window.
.br
- If you want to select the application to operate after XKeyWrap
starts running,
.br
first, click Select menu and click the window of the application
to operate.
.br
Second, put the mouse pointer on XKeyWrap and try to hit some keys.
.br
Third, if you cannot operate the application from XKeyWrap,
click Parent menu some times and try to hit some keys again.

.TP 8
.B % xkeywrap -x emacs

- Emacs and XKeyWrap start running.
.br
- You put the mouse pointer on XKeyWrap and input some words.
.br
- The words are sent to emacs.
.br
- You can record and play the key sequence to operate XKeyWrap
by the mouse pointer.

.TP 8
.B % xkeywrap -f example.dat -x emacs -geometry 80x20 text.txt

- Emacs opens file "text.txt" and starts running with 80x20 window.
.br
- XKeyWrap starts running. If example.dat exists, XKeyWrap reads it.
.br
- If you select Play menu, XKeyWrap play it.
.br
- If you select Save menu, XKeyWrap save key sequence to file "example.dat".

.TP 8
.B % xkeywrap -display wrongdisp:0 -output-display gooddisp:0

- XKeyWrap start on the display of "wrongdisp".
.br
- Click Select menu of XKeyWrap and click the window in the display
of "gooddisp".
.br
- Key inputs to XKeyWrap are sent to the window in the display of "gooddisp".
(XKeyWrap can send key sequence to an application running on other X server
over the network)

.TP 8
.B % xkeywrap -f example.dat -display wrongdisp:0 -output-display gooddisp:0 -x emacs -display gooddisp:0 -geometry 80x20 text.txt

- Emacs starts on the display of "gooddisp".
.br
- XKeyWrap start on the display of "wrongdisp".
.br
- XKeyWrap search in the display of "gooddisp", and find emacs in it.
.br
- Key inputs to XKeyWrap are sent to emacs.
(XKeyWrap can send key sequence to an application running on other X server
over the network)

.SH SEE ALSO

X(1)
.br
If you want to read more informations and examples about using XKeyWrap,
run XKeyWrap with -readme option.

.SH BUGS

XKeyWrap runs more or less curiously between systems with different keyboards.
(Ex. If the keyboard of your system is 101 keyboard,
XKeyWrap can play the data recorded with Japanese 106 keyboard, but,
more or less curiously)

.SH AUTHOR

Programed by
.B Sakai Hiroaki.
.br
E-Mail : sakai@seki.ee.kagu.sut.ac.jp
.br
http://www.seki.ee.kagu.sut.ac.jp/~sakai/myfreesoft.html

.SH COPYRIGHT
XKeyWrap Copyright (C) 1999 Sakai Hiroaki.
.br
All Rights Reserved.
